//+------------------------------------------------------------------+
//|   TRO_PRICE_IS_THE_SAME                                          |
//|                                                                  |
//|   Copyright  2008, Avery T. Horton, Jr. aka TheRumpledOne       |
//|                                                                  |
//|   PO BOX 43575, TUCSON, AZ 85733                                 |
//|                                                                  |
//|   GIFTS AND DONATIONS ACCEPTED                                   | 
//|                                                                  |
//|   therumpledone@gmail.com                                        |  
//+------------------------------------------------------------------+ 

#property  copyright "Copyright  2008, Avery T. Horton, Jr. aka TRO" 
#property  link      "http://www.therumpledone.com/" 

#property indicator_chart_window


extern int        myChartY    = 100 ;
//extern int        myBars      = 0 ; 
//extern int        mySkip      = 0 ; 
 
 
extern color myColorUp = Lime ;
extern color myColorDn = Red ;

int ChartPeriod ;
int    digits;

 
color ColorTrend = Yellow ;

   double CL, open;
   int    i , skip, xBars ;
    
 
string dLabel, xLabel ;
string symbol, tChartPeriod, sX02 ;  

int min, min5, min15, min30, min60, time1, time5, time15, time30, time60 ;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
  
   ChartPeriod = Period();


      

   tChartPeriod =  TimeFrameToString(ChartPeriod) ;
   symbol       =  Symbol() ;
   digits       =  Digits ;   
   dLabel       =  "TMAP" + symbol + tChartPeriod ;

       
 
    
   return(0);
  }
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
   ObjectsDeleteAll(0);
   
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{

//    if( myBars == 0 ) { xBars = WindowBarsPerChart() ; } else { xBars = myBars ; }

    CL = iClose(NULL,ChartPeriod ,0) ; 
 
  
  
  for( i = 59 ; i > -1 ; i-- )
  {
  
  
    min   = TimeMinute(Time[i]) ;
    
    if( min == 0 ) { time5 = i ; time15 = i ; time30 = i ; time60 = i ; } 
    
    
    min5  = MathMod(min,5) ;
    if( min5 == 0 ) { time5 = i ; } 
       
    min15 = MathMod(min,15) ;
    if( min15 == 0 ) { time15 = i ; } 
        
    min30 = MathMod(min,30) ;
    if( min30 == 0 ) { time30 = i ; } 
    
  }
  
DoPlot( 1, 1 ) ;
DoPlot( 5, time5 ) ;
DoPlot( 15, time15 ) ;
DoPlot( 30, time30 ) ;
DoPlot( 60, time60 ) ;
     

        
return(0);
}

//+------------------------------------------------------------------+
 
void DoPlot( int pTime, int p )
{

    
    open  = iOpen(NULL,ChartPeriod , p ) ;     
 
    xLabel = dLabel + pTime ;
    
    if( CL > open ) { ColorTrend = myColorUp ; } else  { ColorTrend = myColorDn ; } 
    
    
    ObjectDelete(xLabel) ;

    ObjectCreate(xLabel,OBJ_TREND,0,0,0,0,0);
    ObjectSet(xLabel,OBJPROP_COLOR,ColorTrend); 
    ObjectSet(xLabel,OBJPROP_RAY,false);    
    ObjectSet(xLabel,OBJPROP_WIDTH,2); 
 
    ObjectMove(xLabel,0,Time[p],open);
    ObjectMove(xLabel,1,Time[0],CL);
    
    
    


} 
 
 
//+------------------------------------------------------------------+ 

string TimeFrameToString(int tf)
{
   string tfs;
   switch(tf) {
      case PERIOD_M1:  tfs="M1"  ; break;
      case PERIOD_M5:  tfs="M5"  ; break;
      case PERIOD_M15: tfs="M15" ; break;
      case PERIOD_M30: tfs="M30" ; break;
      case PERIOD_H1:  tfs="H1"  ; break;
      case PERIOD_H4:  tfs="H4"  ; break;
      case PERIOD_D1:  tfs="D1"  ; break;
      case PERIOD_W1:  tfs="W1"  ; break;
      case PERIOD_MN1: tfs="MN";
   }
   return(tfs);
}
//+------------------------------------------------------------------+ 




/*

 
Comment( 

"min = ", min , "\n",
"min5 = ", min5 , "\n",
"min15 = ", min15 , "\n",
"min30 = ", min30 , "\n",
"min60 = ", min60 , "\n",
"" ) ; 

*/