//+------------------------------------------------------------------+
//|                                                      b-clock.mq4 |
//|                                     Core time code by Nick Bilak |
//|        http://metatrader.50webs.com/         beluck[at]gmail.com |
//|                                  modified by adoleh2000 and dwt5 | 
//+------------------------------------------------------------------+
//| b-clock_TRO_MODIFIED_VERSION                                  |
//| MODIFIED BY AVERY T. HORTON, JR. AKA THERUMPLEDONE@GMAIL.COM     |
//| I am NOT the ORIGINAL author 
//  and I am not claiming authorship of this indicator. 
//  All I did was modify it. I hope you find my modifications useful.|
//|                                                                  |
//+------------------------------------------------------------------+
 
#property copyright "Copyright  2005, Nick Bilak"
#property link      "http://metatrader.50webs.com/"

#property indicator_chart_window

extern int x.offset= 10 ; 
extern int y.offset= 20; 
extern string myFont   = "Eras Bold ITC" ;
extern int myFontSize  = 12 ;
extern color colorTime = LightSalmon ;

//---- buffers
double s1[];

string symbol, tChartPeriod,  tShortName ;  
int    digits, period, digits2  ; 
double point ; 
 
//+------------------------------------------------------------------+

int init()

  {
   period = Period() ;    
   tChartPeriod =  TimeFrameToString(period) ;
      
  }
   return(0);
  
int deinit()

  {
   ObjectDelete("time");  
  }
   return(0);
  
     
//+------------------------------------------------------------------+
int start()
  {

	double i;
   int m,s,k;
   m=Time[0]+Period()*60-CurTime();
   i=m/60.0;
   s=m%60;
   m=(m-m%60)/60;
 
// Comment( m + " minutes " + s + " seconds left to bar end");
	
	
   ObjectDelete("time");   
   ObjectCreate("time", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("time", tChartPeriod + " Bar end: "+m+" m "+s+" s ",  myFontSize , myFont, colorTime );
   ObjectSet("time", OBJPROP_XDISTANCE, x.offset); 
   ObjectSet("time", OBJPROP_YDISTANCE, y.offset); 
  
 


   return(0);
  }
  


//+--------- TRO MODIFICATION ---------------------------------------+  

string TimeFrameToString(int tf)
{
   string tfs;
   switch(tf) {
      case PERIOD_M1:  tfs="M1"  ; break;
      case PERIOD_M5:  tfs="M5"  ; break;
      case PERIOD_M15: tfs="M15" ; break;
      case PERIOD_M30: tfs="M30" ; break;
      case PERIOD_H1:  tfs="H1"  ; break;
      case PERIOD_H4:  tfs="H4"  ; break;
      case PERIOD_D1:  tfs="D1"  ; break;
      case PERIOD_W1:  tfs="W1"  ; break;
      case PERIOD_MN1: tfs="MN";
   }
   return(tfs);
}
//+------------------------------------------------------------------+


