//+------------------------------------------------------------------+
//|                       tro_onethird_dots                          |
//|                                                                  | 
//|                                                                  | 
//|   Copyright  2008, AVERY T. HORTON, JR. AKA TheRumpledOne       |
//|                                                                  |
//|   PO BOX 43575, TUCSON, AZ 85733                                 |
//|                                                                  |
//|                                                                  |
//|   GIFTS AND DONATIONS ACCEPTED                                   | 
//|   All my indicators should be considered donationware. That is   |
//|   you are free to use them for your personal use, and are        |
//|   under no obligation to pay for them. However, if you do find   |
//|   this or any of my other indicators help you with your trading  |
//|   then any Gift or Donation as a show of appreciation is         |
//|   gratefully accepted.                                           |
//|                                                                  |
//|   Gifts or Donations also keep me motivated in producing more    |
//|   great free indicators. :-)                                     |
//|                                                                  |
//|   PayPal - THERUMPLEDONE@GMAIL.COM                               |  
//+------------------------------------------------------------------+ 
//|                                                                  |  
//|    http://docs.mql4.com/constants/wingdings                      |                                         |
//+------------------------------------------------------------------+

#property copyright "Copyright  2008, Avery T. Horton, Jr. aka TheRumpledOne"
#property link      "therumpledone@gmail.com"

#property indicator_chart_window 
#property indicator_buffers 2


extern bool iPlotChart = true ;
extern bool iPlotGauge = false ;

extern bool   Show.PriceBox  = true ;
extern int    myBoxWidth  = 1;
 
extern int LocalTimeZone= 0;
extern int DestTimeZone= 0;
 
extern int myOffset  = 1 ; 
extern int myChartY = 1 ;

extern int myStyle1  = 2 ;
extern int myStyle2  = 2 ;

extern double myMult = 0.3333 ;

extern int myWingDing1  = 115 ;
extern int myWingDing2  = 115 ;

extern color myColor1 =DodgerBlue;
extern color myColor2 =OrangeRed ;

 
//---- buffers

double P1Buffer[];
double P2Buffer[];
double P3Buffer[];
double P4Buffer[];
double P5Buffer[];
double P6Buffer[];
double P7Buffer[];

double yesterday_high=0;
double yesterday_open=0;
double yesterday_low=0;
double yesterday_close=0;
double today_open=0;
double today_high=0;
double today_low=0;


string totOT0 = "ot_0" ;
string totOT1 = "ot_1" ;

string symbol, tChartPeriod,  tShortName ;    
int    digits, period, digits2  ; 

//+------------------------------------------------------------------+
int init()
  {
//---- name for indicator window

   string short_name=" ";
   IndicatorShortName(short_name);
   
   SetIndexBuffer(0, P1Buffer);
   SetIndexBuffer(1, P2Buffer);

   SetIndexArrow(0, myWingDing1); 
   SetIndexArrow(1, myWingDing2); 

   SetIndexStyle(0, DRAW_ARROW, myStyle1, 1, myColor1 );
   SetIndexStyle(1, DRAW_ARROW, myStyle2, 1, myColor2 );   


   period = Period() ;   
   tChartPeriod =  TimeFrameToString(period) ;
  
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
   
   ObjectDelete("ot");
   ObjectDelete("line5ot");
   ObjectDelete("X01_Labelot");
   ObjectDelete("X01_Valueot");
   ObjectDelete("X02_Labelot");
   ObjectDelete("X02_Valueot");
   ObjectDelete("X03_Labelot");
   ObjectDelete("X03_Valueot");
   ObjectDelete("X04_Labelot");
   ObjectDelete("X04_Valueot");
   ObjectDelete("X05_Labelot");
   ObjectDelete("X05_Valueot");
   ObjectDelete("X06_Labelot");
   ObjectDelete("X06_Valueot");
   ObjectDelete("X07_Labelot");
   ObjectDelete("X07_Valueot");
   ObjectDelete(totOT0);
   ObjectDelete(totOT1);
   
   return(0);
  }
  
//+------------------------------------------------------------------+
int start()
{
  
   int i, dayi, counted_bars = IndicatorCounted();
//---- check for possible errors
   if(counted_bars < 0) 
       return(-1);
//---- last counted bar will be recounted
   if(counted_bars > 0) 
       counted_bars--;  
   int limit = Bars - counted_bars;

 
   for(i = limit - 1; i >= 0; i--)
   {
		
	double onethird = (iHigh(NULL,0,i) - iLow(NULL,0,i) ) * myMult ; 	
		
   double X01 = iHigh(NULL,0,i) - onethird ;
   double X02 = iLow(NULL,0,i)  + onethird ; 
   double X03 = 0 ;
   double X04 = 0 ;	
   double X05 = 0 ;	
   double X06 = 0 ;
	double X07 = 0 ;

   X01 = NormalizeDouble(X01, Digits) ;
   X02 = NormalizeDouble(X02, Digits) ; 
   
if ( iPlotChart ) { 
	
	P1Buffer[i] = X01 ;
	P2Buffer[i] = X02 ;
   P3Buffer[i] = X03 ;
	P4Buffer[i] = X04 ;
	P5Buffer[i] = X05 ;
   P6Buffer[i] = X06 ;
   P7Buffer[i] = X07 ;


  

} // iPlotChart

} // FOR 

if(Show.PriceBox)  
{ 
  if (ObjectFind(totOT0) != 0)
      {
          ObjectCreate(totOT0,OBJ_ARROW,0,Time[0],X01);
          ObjectSet(totOT0,OBJPROP_ARROWCODE,SYMBOL_RIGHTPRICE);
          ObjectSet(totOT0,OBJPROP_WIDTH,myBoxWidth);  
          ObjectSet(totOT0,OBJPROP_COLOR,myColor1);  
      } 
      else
      {
         ObjectMove(totOT0,0,Time[0],X01);
      }
 

    
    if (ObjectFind(totOT1) != 0)
      {
          ObjectCreate(totOT1,OBJ_ARROW,0,Time[0],X02);
          ObjectSet(totOT1,OBJPROP_ARROWCODE,SYMBOL_RIGHTPRICE);
          ObjectSet(totOT1,OBJPROP_WIDTH,myBoxWidth);            
          ObjectSet(totOT1,OBJPROP_COLOR,myColor2);  
      } 
      else
      {
         ObjectMove(totOT1,0,Time[0],X02);
      }


} // 

if ( iPlotGauge ) {  
    
string tHeadl = DoubleToStr( myMult * 100 , 2 ) ;     
    
string StrX01 = "Top" ; 
string StrX02 = "Bot" ; 
string StrX03 = "-XO3" ; 
string StrX04 = "-XO4" ; 
string StrX05 = "-XO5" ; 
string StrX06 = "-XO6" ; 
string StrX07 = "-XO7" ; 

   color color_ot_1=Orchid;
                
   color color_X01=Red;
   color color_X02=Red;
   color color_X03=Red;
   color color_X04=Red;
   color color_X05=Red;
   color color_X06=Red;
   color color_X07=Red;  
   	
	if( Close[0] < X01) { color_X01=Lime; } 
	if( Close[0] < X02) { color_X02=Lime; } 	
	if( Close[0] < X03) { color_X03=Lime; } 
	if( Close[0] < X04) { color_X04=Lime; } 
	if( Close[0] < X05) { color_X05=Lime; } 
	if( Close[0] < X06) { color_X06=Lime; }		
//	if( Close[0] < X07) { color_X07=Lime; }		
		
	


int sPeriod= Period();

//if (myPeriod != NULL){ sPeriod= myPeriod ;}
       	
//---- Set labels

   int WindowToUse;
   int Corner_line, Xdist_line;
   int Corner_text, Corner_Valueot, Xdist_text, Xdist_Valueot;
   int Ydist_line5;
   int Corner_otots, Xdist_otots, Ydist_otots;
   int Ydist_X01, Ydist_X02, Ydist_X03, Ydist_X04, Ydist_X05, Ydist_X06, Ydist_X07;
   int YdistInc ;
   
    WindowToUse =  0;
    Corner_line = 1;
    Corner_text = 1; 
    Corner_Valueot = 1;
    Xdist_line = 21; 
    Xdist_text = 93; 
    Xdist_Valueot = 23;
    Corner_otots = 1; 
    Xdist_otots = 21; 
    
    Ydist_otots = myChartY;  
    Ydist_line5 = 
    Ydist_otots + 11; 
    YdistInc = 15 ;
    Ydist_X01 = Ydist_otots + 25; 
    Ydist_X02 = Ydist_X01 + YdistInc; 
    Ydist_X03 = Ydist_X01 + YdistInc*2; 
    Ydist_X04 = Ydist_X01 + YdistInc*3; 
    Ydist_X05 = Ydist_X01 + YdistInc*4; 
    Ydist_X06 = Ydist_X01 + YdistInc*5; 
    Ydist_X07 = Ydist_X01 + YdistInc*6;

   string othead = tChartPeriod + " " +tHeadl + "% from"  ;

   ObjectCreate("ot", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("ot",othead,9, "Verdana", color_ot_1);
   ObjectSet("ot", OBJPROP_CORNER, Corner_otots);
   ObjectSet("ot", OBJPROP_XDISTANCE, Xdist_otots);
   ObjectSet("ot", OBJPROP_YDISTANCE, Ydist_otots);
   
   ObjectCreate("line5ot", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("line5ot","---------------------",7, "Verdana", color_ot_1);
   ObjectSet("line5ot", OBJPROP_CORNER, Corner_line);
   ObjectSet("line5ot", OBJPROP_XDISTANCE, Xdist_line);
   ObjectSet("line5ot", OBJPROP_YDISTANCE, Ydist_line5);
   
   ObjectCreate("X01_Labelot", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("X01_Labelot",StrX01,9, "Verdana", myColor1);
   ObjectSet("X01_Labelot", OBJPROP_CORNER, Corner_text);
   ObjectSet("X01_Labelot", OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet("X01_Labelot", OBJPROP_YDISTANCE, Ydist_X01);
   
   ObjectCreate("X01_Valueot", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("X01_Valueot"," "+DoubleToStr(X01,Digits),9, "Verdana", color_X01);
   ObjectSet("X01_Valueot", OBJPROP_CORNER, Corner_Valueot);
   ObjectSet("X01_Valueot", OBJPROP_XDISTANCE, Xdist_Valueot);
   ObjectSet("X01_Valueot", OBJPROP_YDISTANCE, Ydist_X01);
   
   ObjectCreate("X02_Labelot", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("X02_Labelot",StrX02,9, "Verdana", myColor2);
   ObjectSet("X02_Labelot", OBJPROP_CORNER, Corner_text);
   ObjectSet("X02_Labelot", OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet("X02_Labelot", OBJPROP_YDISTANCE, Ydist_X02);
   
   ObjectCreate("X02_Valueot", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("X02_Valueot"," "+DoubleToStr(X02,Digits),9, "Verdana", color_X02);
   ObjectSet("X02_Valueot", OBJPROP_CORNER, Corner_Valueot);
   ObjectSet("X02_Valueot", OBJPROP_XDISTANCE, Xdist_Valueot);
   ObjectSet("X02_Valueot", OBJPROP_YDISTANCE, Ydist_X02);
/*
   ObjectCreate("X03_Labelot", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("X03_Labelot",StrX03,9, "Verdana", myColor3 );
   ObjectSet("X03_Labelot", OBJPROP_CORNER, Corner_text);
   ObjectSet("X03_Labelot", OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet("X03_Labelot", OBJPROP_YDISTANCE, Ydist_X03);
   
   ObjectCreate("X03_Valueot", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("X03_Valueot"," "+DoubleToStr(X03,dig),9, "Verdana", color_X03);
   ObjectSet("X03_Valueot", OBJPROP_CORNER, Corner_Valueot);
   ObjectSet("X03_Valueot", OBJPROP_XDISTANCE, Xdist_Valueot);
   ObjectSet("X03_Valueot", OBJPROP_YDISTANCE, Ydist_X03);

   ObjectCreate("X04_Labelot", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("X04_Labelot",StrX04,9, "Verdana", myColor4 );
   ObjectSet("X04_Labelot", OBJPROP_CORNER, Corner_text);
   ObjectSet("X04_Labelot", OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet("X04_Labelot", OBJPROP_YDISTANCE, Ydist_X04);
   
   ObjectCreate("X04_Valueot", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("X04_Valueot"," "+DoubleToStr(X04,dig),9, "Verdana", color_X04);
   ObjectSet("X04_Valueot", OBJPROP_CORNER, Corner_Valueot);
   ObjectSet("X04_Valueot", OBJPROP_XDISTANCE, Xdist_Valueot);
   ObjectSet("X04_Valueot", OBJPROP_YDISTANCE, Ydist_X04);

   ObjectCreate("X05_Labelot", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("X05_Labelot",StrX05,9, "Verdana", myColor5 );
   ObjectSet("X05_Labelot", OBJPROP_CORNER, Corner_text);
   ObjectSet("X05_Labelot", OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet("X05_Labelot", OBJPROP_YDISTANCE, Ydist_X05);
   
   ObjectCreate("X05_Valueot", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("X05_Valueot"," "+DoubleToStr(X05,dig),9, "Verdana", color_X05);
   ObjectSet("X05_Valueot", OBJPROP_CORNER, Corner_Valueot);
   ObjectSet("X05_Valueot", OBJPROP_XDISTANCE, Xdist_Valueot);
   ObjectSet("X05_Valueot", OBJPROP_YDISTANCE, Ydist_X05);
    
   ObjectCreate("X06_Labelot", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("X06_Labelot",StrX06,9, "Verdana", myColor6 );
   ObjectSet("X06_Labelot", OBJPROP_CORNER, Corner_text);
   ObjectSet("X06_Labelot", OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet("X06_Labelot", OBJPROP_YDISTANCE, Ydist_X06);
   
   ObjectCreate("X06_Valueot", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("X06_Valueot"," "+DoubleToStr(X06,dig),9, "Verdana", color_X06);
   ObjectSet("X06_Valueot", OBJPROP_CORNER, Corner_Valueot);
   ObjectSet("X06_Valueot", OBJPROP_XDISTANCE, Xdist_Valueot);
   ObjectSet("X06_Valueot", OBJPROP_YDISTANCE, Ydist_X06);
   
   ObjectCreate("X07_Labelot", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("X07_Labelot",StrX07,9, "Verdana", myColor7 );
   ObjectSet("X07_Labelot", OBJPROP_CORNER, Corner_text);
   ObjectSet("X07_Labelot", OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet("X07_Labelot", OBJPROP_YDISTANCE, Ydist_X07);
   
   ObjectCreate("X07_Valueot", OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText("X07_Valueot"," "+DoubleToStr(X07,dig),9, "Verdana", color_X07);
   ObjectSet("X07_Valueot", OBJPROP_CORNER, Corner_Valueot);
   ObjectSet("X07_Valueot", OBJPROP_XDISTANCE, Xdist_Valueot);
   ObjectSet("X07_Valueot", OBJPROP_YDISTANCE, Ydist_X07);
*/
} // iPlotGauge
    
   return(0);
  }


//+------------------------------------------------------------------+

 
string TimeFrameToString(int tf)
{
   string tfs;
   switch(tf) {
      case PERIOD_M1:  tfs="M1"  ; break;
      case PERIOD_M5:  tfs="M5"  ; break;
      case PERIOD_M15: tfs="M15" ; break;
      case PERIOD_M30: tfs="M30" ; break;
      case PERIOD_H1:  tfs="H1"  ; break;
      case PERIOD_H4:  tfs="H4"  ; break;
      case PERIOD_D1:  tfs="D1"  ; break;
      case PERIOD_W1:  tfs="W1"  ; break;
      case PERIOD_MN1: tfs="MN1";
   }
   return(tfs);
}
  

//+------------------------------------------------------------------+  

